summaryrefslogtreecommitdiffstats
path: root/system/wine-staging
diff options
context:
space:
mode:
author Dave Woodfall <dave@slackbuilds.org>2022-05-29 14:17:04 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-06-04 10:37:06 +0700
commitbf2985d124af4b0a24861e339c3279b4c4a1f612 (patch)
tree54cbbf34ff947a5e17a0f87c1788b6bfd9882d53 /system/wine-staging
parent3b616999df46d47e247739bb06e445f22c490914 (diff)
downloadslackbuilds-bf2985d124af4b0a24861e339c3279b4c4a1f612.tar.gz
slackbuilds-bf2985d124af4b0a24861e339c3279b4c4a1f612.tar.xz
system/wine-staging: Updated for version 7.9.
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/wine-staging')
-rw-r--r--system/wine-staging/README15
-rw-r--r--system/wine-staging/wine-staging.SlackBuild37
-rw-r--r--system/wine-staging/wine-staging.info10
3 files changed, 32 insertions, 30 deletions
diff --git a/system/wine-staging/README b/system/wine-staging/README
index 07d9192b4d..bbb448ed35 100644
--- a/system/wine-staging/README
+++ b/system/wine-staging/README
@@ -13,17 +13,14 @@ patches of the Staging branch.
OPTIONS
-With no options this SlackBuild will build a 32 bit package,
-for which you need to have either have multilib installed, or
-building in a 32 OS, or in a 32 bit chroot.
+This SlackBuild will try to autodetect whether to build for 32 or 64
+bits or both. WINE64 and WINE32 can be used to enable/disable each
+ARCH:
-To enable 64 bit support use:
+ WINE64=no ./wine.SlackBuild
+ WINE32=no ./wine.SlackBuild
- WIN64=yes ./wine.SlackBuild
-
-To disable win32 support, use:
-
- WIN32=no ./wine.SlackBuild
+The executable for 64 bit wine is named wine64.
To disable OpenGL support, use:
diff --git a/system/wine-staging/wine-staging.SlackBuild b/system/wine-staging/wine-staging.SlackBuild
index b1a6c940cd..5a52cc5c50 100644
--- a/system/wine-staging/wine-staging.SlackBuild
+++ b/system/wine-staging/wine-staging.SlackBuild
@@ -34,12 +34,16 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=wine-staging
-VERSION=${VERSION:-7.1}
-WINEVERSION=${WINEVERSION:-7.1}
+VERSION=${VERSION:-7.9}
+WINEVERSION=${WINEVERSION:-7.9}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
@@ -56,12 +60,6 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
-TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
-WIN32=${WIN32:-yes}
-WIN64=${WIN64:-no}
-
# If your video card does not support hardware accelerated OpenGL,
# run the script like: OPENGL=NO ./wine.SlackBuild
if [ "${OPENGL:-YES}" = "YES" ]; then
@@ -69,9 +67,17 @@ if [ "${OPENGL:-YES}" = "YES" ]; then
else
do_opengl="without"
fi
-if [ "$WIN32" = "no" ] && [ "$WIN64" = "no" ]; then
- echo "Both 64 and 32 bit builds disabled. Nothing to do."
- exit 1
+
+# auto find which ARCHs to build for
+WINETMP="$( mktemp -d $TMP/wine-test-XXXXXX )"
+echo "int main(void) {; return(0); }" > "$WINETMP/test.c"
+gcc -m32 "$WINETMP/test.c" -o /dev/null >/dev/null 2>&1 && WINE32=${WINE32:-yes}
+gcc -m64 "$WINETMP/test.c" -o /dev/null >/dev/null 2>&1 && WINE64=${WINE64:-yes}
+rm -rf "$WINETMP"
+
+if [ "${WINE32:-no}${WINE64:-no}" = "nono" ]; then
+ echo "Both 64 and 32 bit builds disabled. Nothing to do."
+ exit 1
fi
# These should work for anything not specified below
@@ -104,7 +110,7 @@ rm -rf $PRGNAM-$VERSION wine-$WINEVERSION
tar xvf $CWD/wine-$WINEVERSION.tar.xz
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
-cd $PRGNAM-$VERSION/patches
+cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -112,6 +118,7 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+cd patches
./patchinstall.sh DESTDIR=$TMP/wine-$WINEVERSION --all
cd $TMP/wine-$WINEVERSION
@@ -128,7 +135,7 @@ patch -p1 --verbose < $CWD/0001-winhlp32-Workaround-a-bug-in-Flex.patch
# fix path of opencl headers.
sed 's|OpenCL/opencl.h|CL/opencl.h|g' -i configure*
-if [ "$WIN64" = "yes" ]; then
+if [ "${WINE64:-no}" = "yes" ]; then
wine64="--with-wine64=../wine64"
mkdir wine64
cd wine64
@@ -157,7 +164,7 @@ if [ "$WIN64" = "yes" ]; then
cd ..
fi
-if [ "$WIN32" = "yes" ]; then
+if [ "${WINE32:-no}" = "yes" ]; then
mkdir wine32
cd wine32
@@ -219,8 +226,6 @@ cp $CWD/*.desktop $PKG/usr/share/applications/
DOCS="ANNOUNCE AUTHORS COPYING.LIB LICENSE* MAINTAINERS README VERSION"
FONTS_LICENSE="COPYING.arial COPYING.cour COPYING.msyh COPYING.times"
-VERSION=$( printf %s $VERSION | tr - _ )
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp $DOCS $FONTS_LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/system/wine-staging/wine-staging.info b/system/wine-staging/wine-staging.info
index 3326921bb7..982590ebd7 100644
--- a/system/wine-staging/wine-staging.info
+++ b/system/wine-staging/wine-staging.info
@@ -1,10 +1,10 @@
PRGNAM="wine-staging"
-VERSION="7.1"
+VERSION="7.9"
HOMEPAGE="https://wiki.winehq.org/Wine-Staging"
-DOWNLOAD="https://dl.winehq.org/wine/source/7.x/wine-7.1.tar.xz \
- https://github.com/wine-staging/wine-staging/archive/v7.1/wine-staging-7.1.tar.gz"
-MD5SUM="f4add57a716be90b750947642f68a119 \
- a2773409592eca36ba98286477b35f4f"
+DOWNLOAD="https://dl.winehq.org/wine/source/7.x/wine-7.9.tar.xz \
+ https://github.com/wine-staging/wine-staging/archive/v7.9/wine-staging-7.9.tar.gz"
+MD5SUM="ffd325202ee6412dde6d826bcc91bb29 \
+ 11c389b8e754ecc2195c027e7075fe9b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""